Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.importer
Class WrongNumberOfFieldsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.gisgraphy.domain.geoloc.importer.WrongNumberOfFieldsException

All Implemented Interfaces:
  java.io.Serializable

    public class WrongNumberOfFieldsException

extends java.lang.RuntimeException

Exception throws during import when a CSV line does not have the expected number of fields

Author:
  David Masclet
See Also:
  Serialized Form

Constructor Summary
`WrongNumberOfFieldsException()` Default Constructor
`WrongNumberOfFieldsException(java.lang.String message)`
`WrongNumberOfFieldsException(java.lang.String message, java.lang.Throwable cause)`
`WrongNumberOfFieldsException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrongNumberOfFieldsException

    public WrongNumberOfFieldsException()

  Default Constructor

### WrongNumberOfFieldsException

    public WrongNumberOfFieldsException(java.lang.String message)

Parameters:
  `message` - The message

### WrongNumberOfFieldsException

    public WrongNumberOfFieldsException(java.lang.Throwable cause)

Parameters:
  `cause` - The cause

### WrongNumberOfFieldsException

    public WrongNumberOfFieldsException(java.lang.String message,
                                        java.lang.Throwable cause)

Parameters:
  `message` - The message
  `cause` - The cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.